# -*- coding:utf-8 -*-
import koji

from blockerbugs import app

KOJIHUB_URL = app.config['KOJI_URL'] + 'kojihub'


def get_build_data(build_nvr):
    """
    return build information by build NVR
    return None if build does not exists
    """
    session = koji.ClientSession(KOJIHUB_URL)
    resp = session.queryHistory(build=build_nvr)
    data = resp['tag_listing']
    if data:
        return data[0]
    else: #build failed or in building state
        raise koji.GenericError(u'Empty response from Koji.')
